<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FullCalenderController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Auth::routes(['register' => false]);
/*
Route::get('/', 'HomeController@redirectAdmin')->name('index');
Route::get('/home', 'HomeController@index')->name('home');*/


/**
 * user routes
 */

//cron:
Route::get('/product_all_commission_dis', 'user\ReportController@product_all_commission_dis')->name('product_all_commission_dis');

//end cron:


/*Route::get('/', 'user\HomeController@frontend_home')->name('frontend_home');
Route::get('/dashboard', 'user\loginController@index')->name('home');
Route::get('/user_dashboard', 'user\DashboardController@user_dashboard')->name('user_dashboard');*/


// Forhad Route start 
Route::get('/dashboard', 'user\loginController@index')->name('home');
Route::get('/', 'user\HomeController@frontend_home')->name('frontend_home');
Route::get('/contacts', 'user\HomeController@frontend_contact')->name('frontend_contact');
Route::get('/contacts', 'user\HomeController@frontend_contact')->name('frontend_contact');
Route::get('/vission', 'user\HomeController@frontend_vission')->name('frontend.vission');
Route::get('/mission', 'user\HomeController@frontend_mission')->name('frontend.mission');
Route::get('/purpose', 'user\HomeController@frontend_purpose')->name('frontend.purpose');
Route::get('/intrafucter', 'user\HomeController@frontend_intrafucter')->name('frontend.intrafucter');
Route::get('/coreValues', 'user\HomeController@frontend_coreValue')->name('frontend.coreValue');
 

Route::get('/excutiveTeam', 'user\HomeController@frontend_excutiveTeam')->name('frontend.excutiveTeam');
Route::get('/production', 'user\HomeController@frontend_productionTeam')->name('frontend.productionTeam');
Route::get('/secondManagement', 'user\HomeController@frontend_secondManagementTeam')->name('frontend.secondManagementTeam');
Route::get('/trainingExpert', 'user\HomeController@frontend_trainingExpertTeam')->name('frontend.trainingExpertTeam');



Route::get('/details-products', 'user\HomeController@frontend_Details')->name('frontend.details.product');


Route::get('/stockLicenses', 'user\HomeController@frontend_stockLicenses')->name('frontend.stockLicenses');
Route::get('/tradeLicenses', 'user\HomeController@frontend_tradeLicenses')->name('frontend.tradeLicenses');
Route::get('/tradeMarks', 'user\HomeController@frontend_tradeMarks')->name('frontend.tradeMarks');
Route::get('/bstis', 'user\HomeController@frontend_BSTI')->name('frontend.bsti');
Route::get('/tins', 'user\HomeController@frontend_TIN')->name('frontend.tin');
Route::get('/vats', 'user\HomeController@frontend_VAT')->name('frontend.vat');
Route::get('/bdids', 'user\HomeController@frontend_BDID')->name('frontend.bdid');
Route::get('/cocs', 'user\HomeController@frontend_COC')->name('frontend.coc');
Route::get('/ecaps', 'user\HomeController@frontend_Ecap')->name('frontend.Ecap');
Route::get('/profiles', 'user\HomeController@frontend_profile')->name('frontend.profile');




Route::get('/allRanks', 'user\HomeController@frontend_allRank')->name('frontend.allRank');
Route::get('/royaltyclubs', 'user\HomeController@frontend_royaltyClub')->name('frontend.royaltyClub');



// media center 

Route::get('/photoGallery', 'user\HomeController@frontend_photoGallery')->name('frontend.photoGallery');
Route::get('/videoGallery', 'user\HomeController@frontend_videoGallery')->name('frontend.videoGallery');
Route::get('/events', 'user\HomeController@frontend_event')->name('frontend.event');


Route::get('/faqs', 'user\HomeController@frontend_faq')->name('frontend.faq');
Route::get('/policy', 'user\HomeController@frontend_policy')->name('frontend.policy');


Route::get('/districtDealer', 'user\HomeController@districtDealer')->name('frontend.districtDealer');
Route::get('/upazilaDealer', 'user\HomeController@upazilaDealer')->name('frontend.upazilaDealer');
Route::get('/unionDealer', 'user\HomeController@unionDealer')->name('frontend.unionDealer');
Route::get('/subDealer', 'user\HomeController@subDealer')->name('frontend.subDealer');

Route::get('/b2b-partner', 'user\HomeController@frontend_b2b')->name('frontend.b2b');
 // Forhad Route end

/*user register */

/* Dependent Table CRUD */
Route::post('/district-by-division', 'user\HomeController@getDistrictsByDivision');
Route::post('/thana-by-district', 'user\HomeController@getThanaByDistrict');
Route::post('/zone-by-thana', 'user\HomeController@getZoneByThana');

Route::get('/new-user-reg', 'user\registerController@new_user_reg')->name('new_user_reg');
Route::post('/user-registration-sub', 'user\registerController@user_registration_sub')->name('user-registration-sub');


Route::get('/certificate-mk', 'user\ProfileController@certificate_mk')->name('certificate_mk');

Route::get('/username_chacker', 'user\registerController@username_chacker')->name('username_chacker')->middleware('auth');
Route::post('/user/user_id_chack', 'user\registerController@user_id_chack')->name('user_id_chack')->middleware('auth');
Route::post('/user/votar_Id_chack', 'user\registerController@votar_Id_chack')->name('votar_Id_chack')->middleware('auth');
Route::post('/user/email_chack', 'user\registerController@email_chack')->name('email_chack')->middleware('auth');
Route::post('/user/Joining', 'user\registerController@Joining_code_chack')->name('Joining_code_chack')->middleware('auth');
Route::post('/user/sponser_u', 'user\registerController@sponser_u_id_chack')->name('sponser_u_id_chack')->middleware('auth');
Route::post('/user/sponser_placement_u_id_chack', 'user\registerController@sponser_placement_u_id_chack')->name('sponser_placement_u_id_chack')->middleware('auth');
Route::post('/user/agent_chack', 'user\productController@agent_chack')->name('agent_chack')->middleware('auth');
Route::post('/user/error_selected_n_chack', 'user\registerController@error_selected_n_chack')->name('error_selected_n_chack')->middleware('auth');



//ticket
Route::get('ticket', 'user\TicketController@ticket')->name('ticket')->middleware('auth');
Route::get('new-ticket', 'user\TicketController@new_ticket')->name('new_ticket')->middleware('auth');
Route::post('new-ticket-post', 'user\TicketController@new_ticket_post')->name('new_ticket_post')->middleware('auth');
Route::get('view-ticket/{id}', 'user\TicketController@view_ticket')->name('view_ticket')->middleware('auth');
Route::get('close-ticket/{id}', 'user\TicketController@close_ticket')->name('close_ticket')->middleware('auth');
Route::post('ticket_submit', 'user\TicketController@ticket_submit')->name('ticket_submit')->middleware('auth');

// user buy product
Route::get('/user_all_product/{id}', 'user\productController@user_all_product')->name('user_all_product');
Route::get('/shop_now/{id}', 'user\productController@shop_now')->name('shop_now')->middleware('auth');
/*...............add to cart..............*/
Route::get('/add-to-cart/{id}', 'user\CartController@add_to_cart')->name('add_to_cart');
Route::get('/show-cart', 'user\CartController@show_cart')->name('show_cart')->middleware('auth');
Route::post('/update-qnty', 'user\CartController@update_qnty')->name('update_qnty');
Route::post('/remove-cart', 'user\CartController@remove_cart')->name('remove_cart');

Route::post('/payment_now_e_product', 'user\productController@payment_now_e_product')->name('payment_now_e_product')->middleware('auth');

Route::get('/Process-details-received/{id}', 'user\productController@Process_details_received')->name('Process_details_received')->middleware('auth');
Route::get('/buy-product-list/{id}', 'user\productController@buy_product_list')->name('buy_product_list')->middleware('auth');
Route::get('/general-report/{id}', 'user\productController@general_report')->name('general_report')->middleware('auth');
Route::get('/general-combo-report/{id}', 'user\productController@general_combo_report')->name('general_combo_report')->middleware('auth');
Route::get('/product_buy_history', 'user\productController@product_buy_history')->name('product_buy_history')->middleware('auth');
Route::get('/ag-request-history', 'user\productController@ag_request_history')->name('ag_request_history')->middleware('auth');
Route::get('/ag-request-action-history', 'user\productController@ag_request_action_history')->name('ag_request_action_history')->middleware('auth');
Route::get('/ag-to-delivered/{id}', 'user\productController@ag_to_delivered')->name('ag_to_delivered')->middleware('auth');
Route::get('/order_delevard_get/{id}', 'user\productController@order_delevard_get')->name('order_delevard_get')->middleware('auth');
//Route::get('/ag-delivered-view/{id}', 'user\productController@ag_delivered_view')->name('ag_delivered_view')->middleware('auth');
Route::get('/ag_cancle_product/{id}', 'user\productController@ag_cancle_product')->name('ag_cancle_product')->middleware('auth');



Route::get('/ag-pack-request-history', 'user\productController@ag_pack_request_history')->name('ag_pack_request_history')->middleware('auth');
Route::get('/ag-histroy-of-manage-combo', 'user\productController@ag_histroy_of_manage_combo')->name('ag_histroy_of_manage_combo')->middleware('auth');
Route::get('/agent-pack-view/{id}', 'user\productController@agent_pack_view')->name('agent_pack_view')->middleware('auth');
Route::get('/ag-packege-to-delivered/{id}', 'user\productController@agent_pack_delivered')->name('agent_pack_delivered')->middleware('auth');
Route::get('/ag-packege-to-cancel/{id}', 'user\productController@ag_packege_to_cancel')->name('ag_packege_to_cancel')->middleware('auth');
Route::get('/combo_order_delevard_ge/{id}', 'user\productController@combo_order_delevard_ge')->name('combo_order_delevard_ge')->middleware('auth');


Route::match(['get', 'post'], '/home_report', 'user\BalanceController@home_report')->name('home_report')->middleware('auth');


Route::get('/customer-combo-request', 'user\productController@ag_customer_request')->name('ag_customer_request')->middleware('auth');
Route::get('/history-combo-order', 'user\productController@history_combo_order')->name('history_combo_order')->middleware('auth');

Route::get('/user_all_product_type', 'user\productController@user_all_product_type')->name('user_all_product_type')->middleware('auth');
Route::get('/user-agent-list', 'user\productController@user_agent_list')->name('user_agent_list')->middleware('auth');
Route::get('/activation-history', 'user\productController@activation_history')->name('activation_history')->middleware('auth');
Route::get('/agent-list-user', 'user\productController@user_agent_list')->name('user_agent_list')->middleware('auth');

// ag product stok
Route::get('/ag-stock-product', 'user\productController@ag_all_product')->name('ag_all_product')->middleware('auth');
Route::get('/pending-matching', 'user\productController@pending_matching')->name('pending_matching')->middleware('auth');

//combo pack stok
Route::get('/ag-combo-pack-stock', 'user\productController@combo_pack_stock')->name('combo_pack_stock')->middleware('auth');
Route::post('agent-to-buy-combo', 'user\productController@agent_to_buy_combo')->name('agent_to_buy_combo')->middleware('auth');

Route::post('/search','user\productController@search')->name('search');
/*Route::post('/Process-conform-received', 'user\productController@Process_conform_received')->name('Process_conform_received')->middleware('auth');*/


Route::get('packages-show', 'user\BalanceController@royal_pay')->name('royal_pay')->middleware('auth');
Route::post('royal_pay_sub', 'user\BalanceController@royal_pay_sub')->name('royal_pay_sub')->middleware('auth');



Route::get('/setup-dealership', 'user\AgentController@setup_dealership')->name('setup_dealership')->middleware('auth');
Route::post('/setup-dealership-sub', 'user\AgentController@setup_dealership_sub')->name('setup_dealership_sub')->middleware('auth');


Route::get('/balance-process', 'user\BalanceController@balance_process')->name('balance_process')->middleware('auth');
Route::post('/balance-process-sub', 'user\BalanceController@balance_process_sub')->name('balance_process_sub')->middleware('auth');

/*Binary Tree Form */
Route::get('/user-tree', 'user\usertreeController@user_tree')->name('user_tree')->middleware('auth');
Route::get('/tree_lodemore/{id}','user\usertreeController@tree_lodemore')->name('tree_lodemore');
Route::post('/user_tree_search', 'user\usertreeController@user_tree_search')->name('user_tree_search')->middleware('auth');
// live chack Tree
Route::get('/user_tree_chack', 'user\usertreeController@user_tree_chack')->name('user_tree_chack')->middleware('auth');



Route::get('/my-promoters', 'user\sponsor_listController@promoters')->name('promoters')->middleware('auth');
Route::get('/promoters-details', 'user\sponsor_listController@promoters_view')->name('promoters_view')->middleware('auth');


/*income-history */
Route::get('/income-history', 'user\ReportController@income_history')->name('income_history')->middleware('auth');
Route::get('/team-sells-history', 'user\ReportController@team_sells_history')->name('team_sells_history')->middleware('auth');
Route::get('/cash-back-income', 'user\ReportController@cash_back_income')->name('cash_back_income')->middleware('auth');
Route::get('/startup-bonus', 'user\ReportController@startup_bonus')->name('startup_bonus')->middleware('auth');
Route::get('/generation-income', 'user\ReportController@generation_income')->name('generation_income')->middleware('auth');
Route::get('/rank-benefit', 'user\ReportController@rank_benefit')->name('rank_benefit')->middleware('auth');
Route::get('/leadership-income', 'user\ReportController@leadership_income')->name('leadership_income')->middleware('auth');
Route::get('/monthly-royalty', 'user\ReportController@monthly_royalty')->name('monthly_royalty')->middleware('auth');
Route::get('/flc-benefit', 'user\ReportController@flc_benefit')->name('flc_benefit')->middleware('auth');
Route::get('/dealer-sales-benefit', 'user\ReportController@dealer_sales_benefit')->name('dealer_sales_benefit')->middleware('auth');
Route::get('/dealer-non-sales-benefit', 'user\ReportController@dealer_non_sales_benefit')->name('dealer_non_sales_benefit')->middleware('auth');
Route::get('/dealer-to-dealer-royalty', 'user\ReportController@dealer_to_dealer_royalty')->name('dealer_to_dealer_royalty')->middleware('auth');
Route::get('/dealer-introduction-income', 'user\ReportController@dealer_introduction_income')->name('dealer_introduction_income')->middleware('auth');
Route::get('/vendor-sales-benefit', 'user\ReportController@vendor_sales_benefit')->name('vendor_sales_benefit')->middleware('auth');
Route::get('/vendor-introduction-income', 'user\ReportController@vendor_introduction_income')->name('vendor_introduction_income')->middleware('auth');




Route::get('/transaction-log', 'user\ReportController@transction_log')->name('transction_log')->middleware('auth');
Route::get('/user_withdraw_report', 'user\ReportController@user_withdraw_report')->name('user_withdraw_report')->middleware('auth');



// user  Profile
Route::get('/profile_wiew', 'user\ProfileController@profile_wiew')->name('profile_wiew')->middleware('auth');
Route::get('/invitation', 'user\ProfileController@invitation')->name('invitation')->middleware('auth');
Route::get('/comingsoon', 'user\ProfileController@comingsoon')->name('comingsoon')->middleware('auth');
Route::post('/update_profile_subnit', 'user\ProfileController@update_profile_subnit')->name('update_profile_subnit')->middleware('auth');
Route::get('/profile_picture', 'user\ProfileController@profile_picture')->name('profile_picture')->middleware('auth');
Route::post('/profile_picture_sub', 'user\ProfileController@profile_picture_sub')->name('profile_picture_sub')->middleware('auth');
Route::get('/p_location_user', 'user\ProfileController@p_location_user')->name('p_location_user')->middleware('auth');

//withdraw_balance
Route::get('/withdraw_balance', 'user\withdraw_Controller@withdraw_balance')->name('withdraw_balance')->middleware('auth');
Route::post('/withdraw_balance_chack', 'user\withdraw_Controller@withdraw_balance_chack')->name('withdraw_balance_chack')->middleware('auth');
Route::post('/withdraw_balance_sub', 'user\withdraw_Controller@withdraw_balance_sub')->name('withdraw_balance_sub');

Route::get('/withdraw_method', 'user\withdraw_Controller@withdraw_method')->name('withdraw_method')->middleware('auth');
//Route::post('/update_profile_subnit', 'user\ProfileController@update_profile_subnit')->name('update_profile_subnit');

//Shop_balance_withdraw
Route::get('/Shop_balance_withdraw', 'user\withdraw_Controller@Shop_balance_withdraw')->name('Shop_balance_withdraw')->middleware('auth');
Route::post('/shop_withdraw_balance_chack', 'user\withdraw_Controller@shop_withdraw_balance_chack')->name('shop_withdraw_balance_chack')->middleware('auth');
Route::post('/agent_withdraw_balance_sub', 'user\withdraw_Controller@agent_withdraw_balance_sub')->name('agent_withdraw_balance_sub');


//Transfer Reserve Balance
Route::get('/cash_out', 'user\TransferBalanceController@cash_out')->name('cash_out')->middleware('auth');
Route::post('/cash_out_sub', 'user\TransferBalanceController@cash_out_sub')->name('cash_out_sub')->middleware('auth');


//agent-cd-generate
Route::get('pin-generate', 'user\TransferBalanceController@agent_cd_generate')->name('agent_cd_generate')->middleware('auth');    
Route::post('pin-generate-post', 'user\TransferBalanceController@ag_cd_generate_post')->name('ag_cd_generate_post')->middleware('auth');  
Route::get('agent-cd-list', 'user\TransferBalanceController@agent_cd_list')->name('agent_cd_list')->middleware('auth');   



//kyc
Route::get('/user-kyc', 'user\ReportController@ai')->name('ai')->middleware('auth');
Route::post('/ai_submit', 'user\ReportController@ai_submit')->name('ai_submit')->middleware('auth');


//Shop_balance_transfer
Route::get('/Shop-balance-withdraw', 'user\withdraw_Controller@Shop_balance_transfer')->name('Shop_balance_transfer')->middleware('auth');
Route::post('/Shop-withdraw-balance-sub', 'user\withdraw_Controller@Shop_withdraw_balance_sub')->name('Shop_withdraw_balance_sub');


// user  balance
Route::get('/my-balance', 'user\BalanceController@my_balance')->name('my_balance')->middleware('auth');

// flexi load
Route::get('/flexi_load_get', 'user\FlexiloadController@flexi_load_get')->name('flexi_load_get')->middleware('auth');
Route::post('/flexi_load_submit', 'user\FlexiloadController@flexi_load_submit')->name('flexi_load_submit')->middleware('auth');

// withdraw_method
Route::post('/withdraw_method_chack', 'user\withdraw_Controller@withdraw_method_chack')->name('withdraw_method_chack')->middleware('auth');
Route::post('/method_update', 'user\withdraw_Controller@method_update')->name('method_update')->middleware('auth');


// placement_list
Route::get('/placement_list', 'user\placement_listController@placement_list')->name('placement_list')->middleware('auth');
// sponsor_list
Route::get('/sponsor_list/', 'user\sponsor_listController@sponsor_list')->name('sponsor_list')->middleware('auth');


//business_center
Route::get('/business_center', 'user\BusinessCenterController@business_center')->name('business_center')->middleware('auth');
//daily_task
Route::get('/daily_task', 'user\dailytaskController@daily_task')->name('daily_task')->middleware('auth');
Route::post('/daily_task_res_sub', 'user\dailytaskController@daily_task_res_sub')->name('daily_task_res_sub')->middleware('auth');


// change-password
Route::get('change-password', 'user\ChangePasswordController@index')->middleware('auth');
Route::post('change-password', 'user\ChangePasswordController@store')->name('change.password')->middleware('auth');

// transaction pin
Route::get('transaction_pin', 'user\transction_pinController@transction_pin')->name('transction_pin')->middleware('auth');
Route::post('change-transaction-pin', 'user\transction_pinController@store_pin')->name('transction_pin_submit')->middleware('auth');



// transfer_balance

Route::get('asset_to_shopping', 'user\TransferBalanceController@asset_to_shopping')->name('asset_to_shopping')->middleware('auth');
Route::post('/asset_to_shopping_sub', 'user\TransferBalanceController@asset_to_shopping_sub')->name('asset_to_shopping_sub')->middleware('auth');

Route::get('asset_to_donation', 'user\TransferBalanceController@asset_to_donation')->name('asset_to_donation')->middleware('auth');
Route::post('/asset_to_donation_sub', 'user\TransferBalanceController@asset_to_donation_sub')->name('asset_to_donation_sub')->middleware('auth');

// Asset To vendor Purchase Balance
Route::get('asset_to_ve_purchase', 'user\TransferBalanceController@asset_to_ve_purchase')->name('asset_to_ve_purchase')->middleware('auth');
Route::post('/asset_ve_purchase_sub', 'user\TransferBalanceController@asset_ve_purchase_sub')->name('asset_ve_purchase_sub')->middleware('auth');

// Asset To agent Purchase Balance
Route::get('asset_to_ag_purchase', 'user\TransferBalanceController@asset_to_ag_purchase')->name('asset_to_ag_purchase')->middleware('auth');
Route::post('/asset_ag_purchase_sub', 'user\TransferBalanceController@asset_ag_purchase_sub')->name('asset_ag_purchase_sub')->middleware('auth');




Route::get('transfer_balance', 'user\TransferBalanceController@transfer_balance')->name('transfer_balance')->middleware('auth');
Route::post('/transfer_user_id_chack', 'user\TransferBalanceController@transfer_user_id_chack')->name('transfer_user_id_chack')->middleware('auth');
Route::post('/withdraw_amount_chack', 'user\TransferBalanceController@withdraw_amount_chack')->name('withdraw_amount_chack')->middleware('auth');
Route::post('/transfer_password_chack', 'user\TransferBalanceController@transfer_password_chack')->name('transfer_password_chack')->middleware('auth');
Route::post('/balance_transfer_sub', 'user\TransferBalanceController@balance_transfer_sub')->name('balance_transfer_sub')->middleware('auth');
//Route::post('change-transaction-pin', 'user\transaction_pinController@store_pin')->name('transction_pin_submit')->middleware('auth');
Route::post('forgot_password_sec', 'Auth\UsernameForgetController@forgot_password_sec')->name('forgot_password_sec');



//Excel to inport export
Route::get('importExportView', 'MyController@importExportView')->middleware('auth');
Route::get('export', 'MyController@export')->name('export')->middleware('auth');
Route::post('import', 'MyController@import')->name('import')->middleware('auth');

//fullcalender events
Route::get('fullcalender', [FullCalenderController::class, 'index'])->middleware('auth');
Route::post('fullcalenderAjax', [FullCalenderController::class, 'ajax'])->middleware('auth');




/**
 * Admin routes
 */
/*Route::group(['prefix' => 'admin'], function () {
    Route::get('/', 'Backend\DashboardController@index')->name('admin.dashboard');
    Route::resource('roles', 'Backend\RolesController', ['names' => 'admin.roles']);
    Route::resource('users', 'Backend\UsersController', ['names' => 'admin.users']);
    Route::resource('admins', 'Backend\AdminsController', ['names' => 'admin.admins']);


    // Login Routes
    Route::get('/login', 'Backend\Auth\LoginController@showLoginForm')->name('admin.login');
    Route::post('/login/submit', 'Backend\Auth\LoginController@login')->name('admin.login.submit');

    // Logout Routes
    Route::post('/logout/submit', 'Backend\Auth\LoginController@logout')->name('admin.logout.submit');

    // Forget Password Routes
    Route::get('/password/reset', 'Backend\Auth\ForgetPasswordController@showLinkRequestForm')->name('admin.password.request');
    Route::post('/password/reset/submit', 'Backend\Auth\ForgetPasswordController@reset')->name('admin.password.update');

});*/


    Route::get('/admin', 'Backend\DashboardController@index')->name('admin.dashboard');
    Route::resource('roles', 'Backend\RolesController', ['names' => 'admin.roles']);
    Route::resource('users', 'Backend\UsersController', ['names' => 'admin.users']);
    Route::resource('ad-mins', 'Backend\AdminsController', ['names' => 'admin.admins']);


    // Login Routes
    Route::get('admin/login', 'Backend\Auth\LoginController@showLoginForm')->name('admin.login');
    Route::post('admin/login/submit', 'Backend\Auth\LoginController@login')->name('admin.login.submit');

    // Logout Routes
    Route::post('admin/logout/submit', 'Backend\Auth\LoginController@logout')->name('admin.logout.submit');

    // Forget Password Routes
    Route::get('admin/password/reset', 'Backend\Auth\ForgetPasswordController@showLinkRequestForm')->name('admin.password.request');
    Route::post('admin/password/reset/submit', 'Backend\Auth\ForgetPasswordController@reset')->name('admin.password.update');



    Route::get('/dealership_application', 'Backend\ReportController@dealership_application')->name('dealership_application');


    // All product admin report 
    Route::get('/all-order-sell', 'Backend\ReportController@admin_sell')->name('admin_sell');
    Route::get('/admin-general-report/{id}', 'Backend\ReportController@admin_general_report')->name('admin_general_report');
    Route::get('/admin_order_delevard_get/{id}', 'Backend\ReportController@admin_order_delevard_get')->name('admin_order_delevard_get'); 
    

    // All combo admin report 
    Route::get('/sell_as_combo', 'Backend\ReportController@admin_sell_combo')->name('admin_sell_combo');
   Route::get('/combo-admin-general-report/{id}', 'Backend\ReportController@combo_admin_general_report')->name('combo_admin_general_report');
 
    Route::get('/combo_admin_order_delevard_get/{id}', 'Backend\ReportController@combo_admin_order_delevard_get')->name('combo_admin_order_delevard_get');  
    
       
       

    //kyc
    Route::get('/kyc_show', 'Backend\OthersController@kyc_show')->name('kyc_show');
    Route::get('/smart-kyc-view/{id}', 'Backend\OthersController@smart_kyc_view')->name('smart_kyc_view');
    Route::get('/smart_accept/{id}', 'Backend\OthersController@smart_accept')->name('smart_accept');
    
       
        
    Route::get('/royal_bonus_sub', 'Backend\BalanceController@royal_bonus_sub')->name('royal_bonus_sub');
    Route::get('/withdraw_report', 'Backend\ReportController@withdraw_report')->name('withdraw_report');
    Route::get('/withdraw_paid_eport', 'Backend\ReportController@withdraw_paid_eport')->name('withdraw_paid_eport');
    Route::get('/income_history_dash', 'Backend\ReportController@income_history_dash')->name('income_history_dash');
    Route::get('/money_inc_dec', 'Backend\ReportController@money_inc_dec')->name('money_inc_dec');
    Route::get('/flexiload_history_ad', 'Backend\BalanceController@flexiload_history_ad')->name('flexiload_history_ad');
    Route::get('/standard-report-details/{id}', 'Backend\ReportController@standard_report_details')->name('standard_report_details');
    Route::get('/user-search', 'Backend\ReportController@user_search')->name('user_search');

 
// rank input carry to sub carry
    Route::get('/rank_carry_subcarry', 'Backend\OthersController@rank_carry_subcarry')->name('rank_carry_subcarry');
//rank_income_ad 
    Route::get('/rank_income_ad', 'Backend\OthersController@rank_income_ad')->name('rank_income_ad');
    Route::get('/sub_rank_income', 'Backend\OthersController@sub_rank_income')->name('sub_rank_income');


    
    //pin
    Route::get('/pingenerator', 'Backend\PinController@create_pin')->name('create_pin');
    Route::post('/create-pin-name-sub', 'Backend\PinController@create_pin_name_sub')->name('create_pin_name_sub');
    Route::post('/create-pin-sub', 'Backend\PinController@create_pin_sub')->name('create_pin_sub');
    Route::get('/code_copy_select', 'Backend\PinController@code_copy_select')->name('code_copy_select');


    Route::get('/w-approved/{id}', 'Backend\ReportController@w_approved')->name('w_approved');
    Route::get('/user-type-agent/{id}', 'Backend\ReportController@user_type_agent')->name('user_type_agent');
    Route::get('/user-type-user/{id}', 'Backend\ReportController@user_type_user')->name('user_type_user');

// user action
    Route::get('/user-action-active/{id}', 'Backend\ReportController@user_action_active')->name('user_action_active');
    Route::get('/user-action-inactive/{id}', 'Backend\ReportController@user_action_inactive')->name('user_action_inactive');
    Route::get('/balance-process-status/{id}', 'Backend\ReportController@balance_process_status')->name('balance_process_status');
    
    Route::get('/take-money/{id}', 'Backend\BalanceController@take_money')->name('take_money');
    Route::post('/take-money-sub', 'Backend\BalanceController@take_money_sub')->name('take_money_sub');
    Route::post('/take-money-reserve-sub', 'Backend\BalanceController@take_money_reserve_sub')->name('take_money_reserve_sub');
    Route::post('/take-money-dealership-sub', 'Backend\BalanceController@take_money_dealership_sub')->name('take_money_reserve_sub');
    Route::post('/take-money-shopping-sub', 'Backend\BalanceController@take_money_shopping_sub')->name('take_money_shopping_sub');
    Route::post('/dealership_ac_balance', 'Backend\BalanceController@dealership_ac_balance')->name('take_money_reserve_sub');
    Route::post('/ag_type_p', 'Backend\BalanceController@ag_type_p')->name('ag_type_p');
    
    Route::get('/sub_zone', 'Backend\BalanceController@sub_zone')->name('sub_zone');
    Route::get('/district_p', 'Backend\BalanceController@district_p')->name('district_p');
    Route::get('/thana_p', 'Backend\BalanceController@thana_p')->name('thana_p');
    Route::get('/zone_p', 'Backend\BalanceController@zone_p')->name('zone_p');
    
  //nitice
    Route::get('/a-n-notice', 'Backend\NoticeController@admin_notice')->name('admin_notice');
    Route::post('/notice_sub', 'Backend\NoticeController@notice_sub')->name('notice_sub');
    Route::get('/delete_notice/{id}', 'Backend\NoticeController@delete_notice')->name('delete_notice');
    

  //bulk-sms-page
    Route::get('/bulk-sms-page', 'Backend\promotionController@bulk_sms_page')->name('bulk_sms_page');
    Route::post('/enter_sms_all', 'Backend\promotionController@enter_sms_all')->name('enter_sms_all');

  //bulk_sms_rank
    Route::get('/bulk_sms_rank', 'Backend\promotionController@bulk_sms_rank')->name('bulk_sms_rank');
    Route::get('/sub_rank_sms/{enter_sms}/{rank_get}', 'Backend\promotionController@sub_rank_sms')->name('sub_rank_sms'); 


  //Product
  
    Route::get('/product_type_get', 'Backend\ProductController@product_type_get')->name('product_type_get');
    Route::get('/edit_product_type/{id}', 'Backend\ProductController@edit_product_type')->name('edit_product_type');
    Route::post('/product_type_up', 'Backend\ProductController@product_type_up')->name('product_type_up');
    
    Route::post('/product_type_sub', 'Backend\ProductController@product_type_sub')->name('product_type_sub');
    Route::get('/delete_product_type/{id}', 'Backend\ProductController@delete_product_type')->name('delete_product_type');
    
    Route::get('/e_add_product', 'Backend\ProductController@e_add_product')->name('e_add_product');
    Route::get('/e_all_product', 'Backend\ProductController@e_all_product')->name('e_all_product');
    Route::get('/alcompay_company', 'Backend\ProductController@all_company')->name('all_company');
    Route::get('/add_company', 'Backend\ProductController@add_company')->name('add_company');
    Route::get('/add_company_stock/{id}', 'Backend\ProductController@add_company_stock')->name('add_company_stock');
    Route::get('/delete_company/{id}', 'Backend\ProductController@delete_company')->name('delete_company');
    Route::post('/company_stock_sub', 'Backend\ProductController@company_stock_sub')->name('company_stock_sub');
    Route::post('/add_company_sub', 'Backend\ProductController@add_company_sub')->name('add_company_sub');
    
    Route::get('/update_product/{id}', 'Backend\ProductController@update_product')->name('update_product');
    Route::post('/product_edit_sub', 'Backend\ProductController@product_edit_sub')->name('product_edit_sub');
    
    
    Route::get('/e_add_product_combo', 'Backend\ComboController@e_add_product_combo')->name('e_add_product_combo');
    Route::get('/e_all_combo_product', 'Backend\ComboController@e_all_combo_product')->name('e_all_combo_product');
    Route::post('/combo_product_sub', 'Backend\ComboController@combo_product_sub')->name('combo_product_sub');
    Route::post('/search_combo','user\productController@search_combo')->name('search_combo');
    Route::get('/combo_update_product/{id}', 'Backend\ComboController@combo_update_product')->name('combo_update_product'); 
    Route::post('/conbo_product_edit_sub', 'Backend\ComboController@conbo_product_edit_sub')->name('conbo_product_edit_sub');
    
    Route::get('/delete_combo_product/{id}', 'Backend\ComboController@delete_combo_product')->name('delete_combo_product');
    

    Route::get('/add_company_combo_stock/{id}', 'Backend\ComboController@add_company_combo_stock')->name('add_company_combo_stock');
    Route::post('/company_stock_combo_sub', 'Backend\ComboController@company_stock_combo_sub')->name('company_stock_combo_sub');
    
    
    Route::post('/product_sub', 'Backend\ProductController@product_sub')->name('product_sub');
    Route::get('/all_product_order', 'Backend\ProductController@all_product_order')->name('all_product_order'); 
    Route::get('/delete_product/{id}', 'Backend\ProductController@delete_product')->name('delete_product');
    Route::get('/processing_product/{id}', 'Backend\ProductController@processing_product')->name('processing_product');
    Route::get('/product_delivered/{id}', 'Backend\ProductController@product_delivered')->name('product_delivered');
        Route::get('/get-product', 'user\HomeController@get_product')->name('get_product');
        Route::get('/all-agent', 'user\HomeController@all_agent')->name('all_agent');
        
        
 /*..................Area....................*/
    /*...........divisions..........*/
Route::get('/add_division', 'Backend\AreaController@add_division')->name('add_division');
Route::post('/store_division', 'Backend\AreaController@store_division')->name('store_division');
Route::get('/edit_division/{id}', 'Backend\AreaController@edit_division')->name('edit_division');
Route::post('/update_division/{id}', 'Backend\AreaController@update_division')->name('update_division');
Route::get('/delete_division/{id}', 'Backend\AreaController@delete_division')->name('delete_division');

/*............districts..........*/

Route::get('/add_districts', 'Backend\AreaController@add_districts')->name('add_districts');
Route::post('/store_districts', 'Backend\AreaController@store_districts')->name('store_districts');
Route::get('/edit_districts/{id}', 'Backend\AreaController@edit_districts')->name('edit_districts');
Route::post('/update_districts/{id}', 'Backend\AreaController@update_districts')->name('update_districts');
Route::get('/delete_districts/{id}', 'Backend\AreaController@delete_districts')->name('delete_districts');

/*........thanas........*/


Route::get('/add_thanas', 'Backend\AreaController@add_thanas')->name('add_thanas');
Route::post('/store_thanas', 'Backend\AreaController@store_thanas')->name('store_thanas');
Route::get('/edit_thanas/{id}', 'Backend\AreaController@edit_thanas')->name('edit_thanas');
Route::post('/update_thanas/{id}', 'Backend\AreaController@update_thanas')->name('update_thanas');
Route::get('/delete_thanas/{id}', 'Backend\AreaController@delete_thanas')->name('delete_thanas');

/*........zone........*/


Route::get('/add_zone', 'Backend\AreaController@add_zone')->name('add_zone');
Route::post('/store_zone', 'Backend\AreaController@store_zone')->name('store_zone');
Route::get('/edit_zone/{id}', 'Backend\AreaController@edit_zone')->name('edit_zone');
Route::post('/update_zone/{id}', 'Backend\AreaController@update_zone')->name('update_zone');
Route::get('/delete_zone/{id}', 'Backend\AreaController@delete_zone')->name('delete_zone');

 /*..................Area end....................*/
 
